"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Apple_1 = require("./Apple");
var Behance_1 = require("./Behance");
var Discord_1 = require("./Discord");
var Dribbble_1 = require("./Dribbble");
var Facebook_1 = require("./Facebook");
var FacebookPixel_1 = require("./FacebookPixel");
var Github_1 = require("./Github");
var Gmail_1 = require("./Gmail");
var Google_1 = require("./Google");
var GoogleAnalytics_1 = require("./GoogleAnalytics");
var GoogleCalendar_1 = require("./GoogleCalendar");
var GoogleMaps_1 = require("./GoogleMaps");
var GoogleMeet_1 = require("./GoogleMeet");
var Instagram_1 = require("./Instagram");
var LinkedIn_1 = require("./LinkedIn");
var Messenger_1 = require("./Messenger");
var Patreon_1 = require("./Patreon");
var Pinterest_1 = require("./Pinterest");
var Reddit_1 = require("./Reddit");
var Skype_1 = require("./Skype");
var Snapchat_1 = require("./Snapchat");
var SoundCloud_1 = require("./SoundCloud");
var Spotify_1 = require("./Spotify");
var Telegram_1 = require("./Telegram");
var Tiktok_1 = require("./Tiktok");
var Tinder_1 = require("./Tinder");
var Trustpilot_1 = require("./Trustpilot");
var Tumblr_1 = require("./Tumblr");
var Twitch_1 = require("./Twitch");
var Twitter_1 = require("./Twitter");
var Vimeo_1 = require("./Vimeo");
var VK_1 = require("./VK");
var WhatsApp_1 = require("./WhatsApp");
var Youtube_1 = require("./Youtube");
var Zoom_1 = require("./Zoom");
var getSocialNetworkIcon = function (social) {
    switch (social) {
        case 'facebook':
            return Facebook_1.Facebook;
        case 'instagram':
            return Instagram_1.Instagram;
        case 'twitter':
            return Twitter_1.Twitter;
        case 'discord':
            return Discord_1.Discord;
        case 'twitch':
            return Twitch_1.Twitch;
        case 'github':
            return Github_1.Github;
        case 'google-maps':
            return GoogleMaps_1.GoogleMaps;
        case 'whatsapp':
            return WhatsApp_1.WhatsApp;
        case 'vk':
            return VK_1.VK;
        case 'google-meet':
            return GoogleMeet_1.GoogleMeet;
        case 'tinder':
            return Tinder_1.Tinder;
        case 'linkedin':
            return LinkedIn_1.LinkedIn;
        case 'vimeo':
            return Vimeo_1.Vimeo;
        case 'youtube':
            return Youtube_1.Youtube;
        case 'tumblr':
            return Tumblr_1.Tumblr;
        case 'skype':
            return Skype_1.Skype;
        case 'pinterest':
            return Pinterest_1.Pinterest;
        case 'zoom':
            return Zoom_1.Zoom;
        case 'behance':
            return Behance_1.Behance;
        case 'reddit':
            return Reddit_1.Reddit;
        case 'messenger':
            return Messenger_1.Messenger;
        case 'snapchat':
            return Snapchat_1.Snapchat;
        case 'google-calendar':
            return GoogleCalendar_1.GoogleCalendar;
        case 'google-analytics':
            return GoogleAnalytics_1.GoogleAnalytics;
        case 'facebook-pixel':
            return FacebookPixel_1.FacebookPixel;
        case 'dribbble':
            return Dribbble_1.Dribbble;
        case 'soundcloud':
            return SoundCloud_1.SoundCloud;
        case 'telegram':
            return Telegram_1.Telegram;
        case 'google':
            return Google_1.Google;
        case 'tiktok':
            return Tiktok_1.Tiktok;
        case 'gmail':
            return Gmail_1.Gmail;
        case 'spotify':
            return Spotify_1.Spotify;
        case 'patreon':
            return Patreon_1.Patreon;
        case 'trustpilot':
            return Trustpilot_1.Trustpilot;
        case 'apple':
            return Apple_1.Apple;
    }
};
var computeSize = function (size) {
    if (size === 'big')
        return 64;
    else if (size === 'medium')
        return 48;
    else if (size === 'small')
        return 32;
    if (typeof size === 'number')
        return size;
    else
        return 48;
};
var SocialIcon = function (_a) {
    var network = _a.network, size = _a.size, shape = _a.shape, color = _a.color, onClick = _a.onClick, styles = _a.styles, simpleIcon = _a.simpleIcon, className = _a.className, link = _a.link, blank = _a.blank;
    var RenderedIcon = getSocialNetworkIcon(network);
    var handleClick = function (e) {
        e.preventDefault();
        !!onClick && onClick();
    };
    var getShape = function (shape) {
        if (typeof shape === 'number')
            return shape;
        else if (shape === 'square')
            return 0;
        else if (shape === 'round')
            return 50;
        else
            return 12;
    };
    return (react_1.default.createElement("div", { className: className, onClick: onClick ? handleClick : undefined, style: tslib_1.__assign({ width: computeSize(size), height: computeSize(size), borderRadius: getShape(shape), overflow: 'hidden', cursor: 'pointer', boxShadow: '0px 0px 7px 2px rgba(0,0,0,0.15)' }, styles) }, RenderedIcon &&
        ((link === null || link === void 0 ? void 0 : link.length) ? (react_1.default.createElement("a", { style: { margin: 0, padding: 0 }, href: link, target: blank ? '_blank' : undefined, rel: 'noreferrer' },
            react_1.default.createElement(RenderedIcon, { simpleIcon: simpleIcon, width: computeSize(size), height: computeSize(size), color: color }))) : (react_1.default.createElement(RenderedIcon, { simpleIcon: simpleIcon, width: computeSize(size), height: computeSize(size), color: color })))));
};
exports.default = SocialIcon;
//# sourceMappingURL=SocialIcon.js.map